Debian Bug report logs - #503647
perlindex: debconf setting overridden on upgrades

version graph

Package: perlindex; Maintainer for perlindex is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for perlindex is src:perlindex.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Mon, 27 Oct 2008 09:30:58 UTC

Severity: important

Found in version perlindex/1.502-3

Fixed in version perlindex/1.605-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#503647; Package perlindex. (Mon, 27 Oct 2008 09:31:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 27 Oct 2008 09:31:29 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: perlindex: debconf setting overridden on upgrades
Date: Mon, 27 Oct 2008 11:24:25 +0200
Package: perlindex
Version: 1.502-3
Severity: important

The debconf setting perlindex/removeindexonpurge is unconditionally
reset to 'true' by the config script on upgrades. It should query
the debconf database for an existing setting first.

Frankly, I don't see much point in the whole setting.  It helps in
testing the package installation and removal, but that's about it. I
can't see any use for the index files when the package is purged.)
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#503647; Package perlindex. (Mon, 05 Jan 2009 09:21:02 GMT) Full text and rfc822 format available.

Message #8 received at 503647@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 503647@bugs.debian.org, 503647-submitter@bugs.debian.org
Subject: Bug in perlindex fixed in revision 29295
Date: Mon, 05 Jan 2009 09:18:55 +0000
tag 503647 + pending
thanks

Some bugs are closed in revision 29295
by Damyan Ivanov (dmn)

Commit message:

config: preserve old debconf setting (Closes: #503647)




Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 05 Jan 2009 09:21:47 GMT) Full text and rfc822 format available.

Message sent on to Niko Tyni <ntyni@debian.org>:
Bug#503647. (Mon, 05 Jan 2009 09:22:18 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Tue, 10 Feb 2009 14:48:06 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Tue, 10 Feb 2009 14:48:17 GMT) Full text and rfc822 format available.

Message #18 received at 503647-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 503647-close@bugs.debian.org
Subject: Bug#503647: fixed in perlindex 1.605-1
Date: Tue, 10 Feb 2009 14:32:19 +0000
Source: perlindex
Source-Version: 1.605-1

We believe that the bug you reported is fixed in the latest version of
perlindex, which is due to be installed in the Debian FTP archive:

libtext-english-perl_1.605-1_all.deb
  to pool/main/p/perlindex/libtext-english-perl_1.605-1_all.deb
perlindex_1.605-1.diff.gz
  to pool/main/p/perlindex/perlindex_1.605-1.diff.gz
perlindex_1.605-1.dsc
  to pool/main/p/perlindex/perlindex_1.605-1.dsc
perlindex_1.605-1_all.deb
  to pool/main/p/perlindex/perlindex_1.605-1_all.deb
perlindex_1.605.orig.tar.gz
  to pool/main/p/perlindex/perlindex_1.605.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 503647@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated perlindex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 10 Feb 2009 16:07:38 +0200
Source: perlindex
Binary: libtext-english-perl perlindex
Architecture: source all
Version: 1.605-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libtext-english-perl - Use Porter Stemming algorithm with Perl
 perlindex  - index and query perl manual pages
Closes: 503609 503647 510731 514601
Changes: 
 perlindex (1.605-1) unstable; urgency=low
 .
   [ gregor herrmann ]
   * Add Swedish debconf translation, thanks to Martin Bagge (closes: #503609).
   * Call debconf-updatepo in debian/rules' clean target; add build dependency
     on po-debconf in debian/control.
   * Add 'set -e' to debian/perlindex.config.
   * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
     (source stanza).
 .
   [ Damyan Ivanov ]
   * Add Japanese debconf translation, thanks to Hideki Yamane
    (Closes: #510731)
   * config: preserve old debconf setting (Closes: #503647)
   * Add Spanish debconf translation, thanks to Francisco Javier Cuadrado
     (Closes: #514601)
   * Convert debian/rules to DH7, bump debhelper dependency and debian/compat
   * do not ship redundant README in doc/
   * add ${misc:Depends} to the list of dependencies of libtext-english-perl
   * *.copyright: add one sentence explaining how 'same as perl' becomes
     GPL|Artistic
   * add myself to Uploaders
 .
   * New upstream release
Checksums-Sha1: 
 24a5bb20869d876b5d7505db8af024a18795e121 1364 perlindex_1.605-1.dsc
 030bef055c2ba810b393021c64596a02278f91c1 13094 perlindex_1.605.orig.tar.gz
 2efc22352f0d54c8dda41bbb5ae2fe087ffd5f41 7737 perlindex_1.605-1.diff.gz
 73faa984c20b703869608a2afbe8eb8c160b030a 10666 libtext-english-perl_1.605-1_all.deb
 1ed75e21521129e4ee8d7e0d3272e33861e23e27 18600 perlindex_1.605-1_all.deb
Checksums-Sha256: 
 2ba68be7b1a384d40ff56e016f2c60586ec44748c5fbcdb0be2dbf7163bb1004 1364 perlindex_1.605-1.dsc
 9b660394b81d14b7b5a81f469d578355cd7703fe63c9e1fc7aff1816480004e1 13094 perlindex_1.605.orig.tar.gz
 3635426cb897fb7427d644f42134b1892447901c5daebaacc03bbd39ebab9117 7737 perlindex_1.605-1.diff.gz
 8dde662b961845078c86268e4dd2a8fbeffdc80829c7646eef134ae0a3f2c05e 10666 libtext-english-perl_1.605-1_all.deb
 0dbd5dc53a6db47bdaf1c1560aaf5c2dd554e4a902636e5b8a4754bc20c44b89 18600 perlindex_1.605-1_all.deb
Files: 
 d5354387677cc0878f3baa69ce7f74f8 1364 perl optional perlindex_1.605-1.dsc
 cb8e17296c0369ceb4e71a684c49c14d 13094 perl optional perlindex_1.605.orig.tar.gz
 cae4983d7b958e71297400fc041f934e 7737 perl optional perlindex_1.605-1.diff.gz
 f37d5cc4afc61df8acc442f33b96dac9 10666 perl optional libtext-english-perl_1.605-1_all.deb
 17acdd5268a02bdb4b0bb8e36741cefb 18600 perl optional perlindex_1.605-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmRiscACgkQHqjlqpcl9jsUbACcDJXXqnnxkBmrc0ePGYtMdTRv
yyIAn05qLwz6hnW/vFQvku13VgLeHiCw
=V6vL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Mar 2009 07:28:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:32:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.